--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_021_pos.ksh	Wed Aug 31 16:20:55 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_021_pos.ksh	Wed Aug 31 16:20:55 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -75,12 +75,12 @@
 
 typeset -i i=0
 while (( $i < ${#RW_FS_PROP[*]} )); do
-	log_must $ZPOOL create -O ${RW_FS_PROP[$i]} -f $TESTPOOL $DISKS
+	log_must zpool create -O ${RW_FS_PROP[$i]} -f $TESTPOOL $DISKS
 	datasetexists $TESTPOOL || \
 		log_fail "zpool create $TESTPOOL fail."
 	propertycheck $TESTPOOL ${RW_FS_PROP[i]} || \
 		log_fail "${RW_FS_PROP[i]} is failed to set."
-	log_must $ZPOOL destroy $TESTPOOL
+	log_must zpool destroy $TESTPOOL
 	(( i = i + 1 ))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_022_pos.ksh	Wed Aug 31 16:20:55 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_022_pos.ksh	Wed Aug 31 16:20:55 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,7 +47,7 @@
 
 function cleanup
 {
-	datasetexists $TESTPOOL && log_must $ZPOOL destroy $TESTPOOL
+	datasetexists $TESTPOOL && log_must zpool destroy $TESTPOOL
 }
 
 log_onexit cleanup
@@ -80,7 +80,7 @@
 	(( i = i + 1 ))
 done
 
-log_must $ZPOOL create $opts -f $TESTPOOL $DISKS
+log_must zpool create $opts -f $TESTPOOL $DISKS
 datasetexists $TESTPOOL || log_fail "zpool create $TESTPOOL fail."
 
 i=0
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_023_neg.ksh	Wed Aug 31 16:20:55 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_023_neg.ksh	Wed Aug 31 16:20:55 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2015 by Delphix. All rights reserved.
+# Copyright (c) 2015, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -45,7 +45,7 @@
 
 function cleanup
 {
-	datasetexists $TESTPOOL && log_must $ZPOOL destroy $TESTPOOL
+	datasetexists $TESTPOOL && log_must zpool destroy $TESTPOOL
 }
 
 log_onexit cleanup
@@ -77,7 +77,7 @@
 
 typeset -i i=0
 while (( $i < ${#args[*]} )); do
-	log_mustnot $ZPOOL create -O ${args[i]} -f $TESTPOOL $DISKS
+	log_mustnot zpool create -O ${args[i]} -f $TESTPOOL $DISKS
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_features_001_pos.ksh	Wed Aug 31 16:20:55 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_features_001_pos.ksh	Wed Aug 31 16:20:55 2016
@@ -21,7 +21,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -43,13 +43,13 @@
 
 function cleanup
 {
-	datasetexists $TESTPOOL && log_must $ZPOOL destroy $TESTPOOL
+	datasetexists $TESTPOOL && log_must zpool destroy $TESTPOOL
 }
 
 function check_features
 {
-	for state in $($ZPOOL get all $TESTPOOL | \
-	    $AWK '$2 ~ /feature@/ { print $3 }'); do
+	for state in $(zpool get all $TESTPOOL | \
+	    awk '$2 ~ /feature@/ { print $3 }'); do
 		if [[ "$state" != "enabled" && "$state" != "active" ]]; then
 			log_fail "some features are not enabled on new pool"
 	        fi
@@ -60,11 +60,11 @@
 
 log_assert "'zpool create' creates pools with all features enabled"
 
-log_must $ZPOOL create -f $TESTPOOL $DISKS
+log_must zpool create -f $TESTPOOL $DISKS
 check_features
-log_must $ZPOOL destroy -f $TESTPOOL
+log_must zpool destroy -f $TESTPOOL
 
-log_must $ZPOOL create -f -o feature@async_destroy=enabled $TESTPOOL $DISKS
+log_must zpool create -f -o feature@async_destroy=enabled $TESTPOOL $DISKS
 check_features
 
 log_pass "'zpool create' creates pools with all features enabled"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_features_002_pos.ksh	Wed Aug 31 16:20:55 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_features_002_pos.ksh	Wed Aug 31 16:20:55 2016
@@ -21,7 +21,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -42,13 +42,13 @@
 
 function cleanup
 {
-	datasetexists $TESTPOOL && log_must $ZPOOL destroy $TESTPOOL
+	datasetexists $TESTPOOL && log_must zpool destroy $TESTPOOL
 }
 
 function check_features
 {
-	for prop in $($ZPOOL get all $TESTPOOL | $AWK '$2 ~ /feature@/ { print $2 }'); do
-		state=$($ZPOOL list -Ho "$prop" $TESTPOOL)
+	for prop in $(zpool get all $TESTPOOL | awk '$2 ~ /feature@/ { print $2 }'); do
+		state=$(zpool list -Ho "$prop" $TESTPOOL)
                 if [[ "$state" != "disabled" ]]; then
 			log_fail "$prop is enabled on new pool"
 	        fi
@@ -59,11 +59,11 @@
 
 log_assert "'zpool create -d' creates pools with all features disabled"
 
-log_must $ZPOOL create -f -d $TESTPOOL $DISKS
+log_must zpool create -f -d $TESTPOOL $DISKS
 check_features
-log_must $ZPOOL destroy -f $TESTPOOL
+log_must zpool destroy -f $TESTPOOL
 
-log_must $ZPOOL create -f -o version=28 $TESTPOOL $DISKS
+log_must zpool create -f -o version=28 $TESTPOOL $DISKS
 check_features
 
 log_pass
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_features_003_pos.ksh	Wed Aug 31 16:20:55 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_features_003_pos.ksh	Wed Aug 31 16:20:55 2016
@@ -21,7 +21,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -43,7 +43,7 @@
 
 function cleanup
 {
-	datasetexists $TESTPOOL && log_must $ZPOOL destroy $TESTPOOL
+	datasetexists $TESTPOOL && log_must zpool destroy $TESTPOOL
 }
 
 log_onexit cleanup
@@ -51,15 +51,15 @@
 log_assert "'zpool create -d -o feature@async_destroy=enabled' only " \
     "enables async_destroy"
 
-log_must $ZPOOL create -f -d -o feature@async_destroy=enabled $TESTPOOL $DISKS
+log_must zpool create -f -d -o feature@async_destroy=enabled $TESTPOOL $DISKS
 
-state=$($ZPOOL list -Ho feature@async_destroy $TESTPOOL)
+state=$(zpool list -Ho feature@async_destroy $TESTPOOL)
 if [[ "$state" != "enabled" ]]; then
 	log_fail "async_destroy has state $state"
 fi
 
-for prop in $($ZPOOL get all $TESTPOOL | $AWK '$2 ~ /feature@/ { print $2 }'); do
-	state=$($ZPOOL list -Ho "$prop" $TESTPOOL)
+for prop in $(zpool get all $TESTPOOL | awk '$2 ~ /feature@/ { print $2 }'); do
+	state=$(zpool list -Ho "$prop" $TESTPOOL)
 	if [[ "$prop" != "feature@async_destroy" \
 	    && "$state" != "disabled" ]]; then
 		log_fail "$prop is enabled on new pool"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_features_004_neg.ksh	Wed Aug 31 16:20:55 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_create/zpool_create_features_004_neg.ksh	Wed Aug 31 16:20:55 2016
@@ -21,7 +21,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,7 +47,7 @@
 
 function cleanup
 {
-	datasetexists $TESTPOOL && log_must $ZPOOL destroy $TESTPOOL
+	datasetexists $TESTPOOL && log_must zpool destroy $TESTPOOL
 }
 
 log_assert "'zpool create' with invalid feature names/states fails"
@@ -54,7 +54,7 @@
 log_onexit cleanup
 
 for prop in $properties; do
-	log_mustnot $ZPOOL create -f -o "$prop" $TESTPOOL $DISKS
+	log_mustnot zpool create -f -o "$prop" $TESTPOOL $DISKS
 	log_mustnot datasetexists $TESTPOOL
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_destroy/zpool_destroy_001_pos.ksh	Wed Aug 31 16:20:55 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_destroy/zpool_destroy_001_pos.ksh	Wed Aug 31 16:20:55 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,7 +49,7 @@
 {
 	poolexists $TESTPOOL2 && destroy_pool $TESTPOOL2
 	datasetexists $TESTPOOL1/$TESTVOL && \
-		log_must $ZFS destroy -f $TESTPOOL1/$TESTVOL
+		log_must zfs destroy -f $TESTPOOL1/$TESTVOL
 
 	typeset pool
 	for pool in $TESTPOOL1 $TESTPOOL; do
@@ -73,13 +73,13 @@
 
 create_pool "$TESTPOOL" "${DISK}s${SLICE0}"
 create_pool "$TESTPOOL1" "${DISK}s${SLICE1}"
-log_must $ZFS create -s -V $VOLSIZE $TESTPOOL1/$TESTVOL
+log_must zfs create -s -V $VOLSIZE $TESTPOOL1/$TESTVOL
 create_pool "$TESTPOOL2" "/dev/zvol/dsk/$TESTPOOL1/$TESTVOL"
 
 typeset -i i=0
 while (( i < ${#datasets[*]} )); do
 	log_must poolexists "${datasets[i]}"
-	log_must $ZPOOL destroy "${datasets[i]}"
+	log_must zpool destroy "${datasets[i]}"
 	log_mustnot poolexists "${datasets[i]}"
 	((i = i + 1))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_destroy/zpool_destroy_002_pos.ksh	Wed Aug 31 16:20:55 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_destroy/zpool_destroy_002_pos.ksh	Wed Aug 31 16:20:55 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -55,13 +55,13 @@
 		ismounted $TESTDIR
 		((  $? == 0 )) && \
 			log_must $UNMOUNT $TESTDIR
-		log_must $RM -rf $TESTDIR
+		log_must rm -rf $TESTDIR
 	fi
 
 	typeset -i i=0
 	while (( $i < ${#datasets[*]} )); do
 		datasetexists ${datasets[i]} && \
-			log_must $ZFS destroy ${datasets[i]}
+			log_must zfs destroy ${datasets[i]}
 		(( i = i + 1 ))
 	done
 
@@ -78,12 +78,12 @@
 typeset cwd=""
 
 create_pool "$TESTPOOL" "$DISK"
-log_must $ZFS create $TESTPOOL/$TESTFS
-log_must $MKDIR -p $TESTDIR
-log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
-log_must $ZFS create $TESTPOOL/$TESTCTR
-log_must $ZFS create $TESTPOOL/$TESTCTR/$TESTFS1
-log_must $ZFS create -V $VOLSIZE $TESTPOOL/$TESTVOL
+log_must zfs create $TESTPOOL/$TESTFS
+log_must mkdir -p $TESTDIR
+log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+log_must zfs create $TESTPOOL/$TESTCTR
+log_must zfs create $TESTPOOL/$TESTCTR/$TESTFS1
+log_must zfs create -V $VOLSIZE $TESTPOOL/$TESTVOL
 
 typeset -i i=0
 while (( $i < ${#datasets[*]} )); do
@@ -98,10 +98,10 @@
 
 for dir in $TESTDIR /$TESTPOOL/$TESTCTR /$TESTPOOL/$TESTCTR/$TESTFS1 ; do
 	log_must cd $dir
-	log_mustnot $ZPOOL destroy $TESTPOOL
+	log_mustnot zpool destroy $TESTPOOL
 
 	# Need mount here, otherwise some dataset may be unmounted.
-	log_must $ZFS mount -a
+	log_must zfs mount -a
 
 	i=0
 	while (( i < ${#datasets[*]} )); do
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_destroy/zpool_destroy_003_neg.ksh	Wed Aug 31 16:20:56 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_destroy/zpool_destroy_003_neg.ksh	Wed Aug 31 16:20:56 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -45,7 +50,7 @@
 
 typeset -i i=0
 while (( $i < ${#args[*]} )); do
-	log_mustnot $ZPOOL destroy ${args[i]}
+	log_mustnot zpool destroy ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_detach/zpool_detach_001_neg.ksh	Wed Aug 31 16:20:56 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_detach/zpool_detach_001_neg.ksh	Wed Aug 31 16:20:56 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -57,7 +62,7 @@
 
 while [[ $i -lt ${#args[*]} ]]; do
 
-	log_mustnot $ZPOOL detach ${args[$i]}
+	log_mustnot zpool detach ${args[$i]}
 
 	(( i = i + 1 ))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_expand/zpool_expand_001_pos.ksh	Wed Aug 31 16:20:56 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_expand/zpool_expand_001_pos.ksh	Wed Aug 31 16:20:56 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -51,12 +51,12 @@
 function cleanup
 {
 	if poolexists $TESTPOOL1; then
-		log_must $ZPOOL destroy $TESTPOOL1
+		log_must zpool destroy $TESTPOOL1
 	fi
 
 	for i in 1 2 3; do
 		if datasetexists $VFS/vol$i; then
-			log_must $ZFS destroy $VFS/vol$i
+			log_must zfs destroy $VFS/vol$i
 		fi
 	done
 }
@@ -66,12 +66,12 @@
 log_assert "zpool can be autoexpanded after set autoexpand=on on LUN expansion"
 
 for i in 1 2 3; do
-	log_must $ZFS create -V $org_size $VFS/vol$i
+	log_must zfs create -V $org_size $VFS/vol$i
 done
 
 for type in " " mirror raidz raidz2; do
 
-	log_must $ZPOOL create -o autoexpand=on $TESTPOOL1 $type \
+	log_must zpool create -o autoexpand=on $TESTPOOL1 $type \
 	    /dev/zvol/dsk/$VFS/vol1  /dev/zvol/dsk/$VFS/vol2 \
 	    /dev/zvol/dsk/$VFS/vol3
 
@@ -81,20 +81,20 @@
 	fi
 
 	typeset prev_size=$(get_pool_prop size $TESTPOOL1)
-	typeset zfs_prev_size=$($ZFS get -p avail $TESTPOOL1 | $TAIL -1 | \
-	    $AWK '{print $3}')
+	typeset zfs_prev_size=$(zfs get -p avail $TESTPOOL1 | tail -1 | \
+	    awk '{print $3}')
 
 	for i in 1 2 3; do
-		log_must $ZFS set volsize=$exp_size $VFS/vol$i
+		log_must zfs set volsize=$exp_size $VFS/vol$i
 	done
 
-	$SYNC
-	$SLEEP 10
-	$SYNC
+	sync
+	sleep 10
+	sync
 
 	typeset expand_size=$(get_pool_prop size $TESTPOOL1)
-	typeset zfs_expand_size=$($ZFS get -p avail $TESTPOOL1 | $TAIL -1 | \
-	    $AWK '{print $3}')
+	typeset zfs_expand_size=$(zfs get -p avail $TESTPOOL1 | tail -1 | \
+	    awk '{print $3}')
 
 	log_note "$TESTPOOL1 $type has previous size: $prev_size and " \
 	    "expanded size: $expand_size"
@@ -102,10 +102,10 @@
 	if [[ $zfs_expand_size > $zfs_prev_size ]]; then
 	# check for zpool history for the pool size expansion
 		if [[ $type == " " ]]; then
-			typeset	size_addition=$($ZPOOL history -il $TESTPOOL1 |\
-			    $GREP "pool '$TESTPOOL1' size:" | \
-			    $GREP "vdev online" | \
-			    $GREP "(+${EX_1GB}" | wc -l)
+			typeset	size_addition=$(zpool history -il $TESTPOOL1 |\
+			    grep "pool '$TESTPOOL1' size:" | \
+			    grep "vdev online" | \
+			    grep "(+${EX_1GB}" | wc -l)
 
 			if [[ $size_addition -ne $i ]]; then
 				log_fail "pool $TESTPOOL1 is not autoexpand " \
@@ -112,10 +112,10 @@
 				    "after LUN expansion"
 			fi
 		elif [[ $type == "mirror" ]]; then
-			$ZPOOL history -il $TESTPOOL1 | \
-			    $GREP "pool '$TESTPOOL1' size:" | \
-			    $GREP "vdev online" | \
-			    $GREP "(+${EX_1GB})" >/dev/null 2>&1
+			zpool history -il $TESTPOOL1 | \
+			    grep "pool '$TESTPOOL1' size:" | \
+			    grep "vdev online" | \
+			    grep "(+${EX_1GB})" >/dev/null 2>&1
 
 			if [[ $? -ne 0 ]] ; then
 				log_fail "pool $TESTPOOL1 is not autoexpand " \
@@ -122,10 +122,10 @@
 				    "after LUN expansion"
 			fi
 		else
-			$ZPOOL history -il $TESTPOOL1 | \
-			    $GREP "pool '$TESTPOOL1' size:" | \
-			    $GREP "vdev online" | \
-			    $GREP "(+${EX_3GB})" >/dev/null 2>&1
+			zpool history -il $TESTPOOL1 | \
+			    grep "pool '$TESTPOOL1' size:" | \
+			    grep "vdev online" | \
+			    grep "(+${EX_3GB})" >/dev/null 2>&1
 
 			if [[ $? -ne 0 ]]; then
 				log_fail "pool $TESTPOOL is not autoexpand " \
@@ -137,9 +137,9 @@
 		    "expansion"
 	fi
 
-	log_must $ZPOOL destroy $TESTPOOL1
+	log_must zpool destroy $TESTPOOL1
 	for i in 1 2 3; do
-		log_must $ZFS set volsize=$org_size $VFS/vol$i
+		log_must zfs set volsize=$org_size $VFS/vol$i
 	done
 
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_expand/zpool_expand_002_pos.ksh	Wed Aug 31 16:20:56 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_expand/zpool_expand_002_pos.ksh	Wed Aug 31 16:20:56 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -52,12 +52,12 @@
 function cleanup
 {
         if poolexists $TESTPOOL1; then
-                log_must $ZPOOL destroy $TESTPOOL1
+                log_must zpool destroy $TESTPOOL1
         fi
 
 	for i in 1 2 3; do
 		if datasetexists $VFS/vol$i; then
-			log_must $ZFS destroy $VFS/vol$i
+			log_must zfs destroy $VFS/vol$i
 		fi
 	done
 }
@@ -67,11 +67,11 @@
 log_assert "zpool can expand after zpool online -e zvol vdevs on LUN expansion"
 
 for i in 1 2 3; do
-	log_must $ZFS create -V $org_size $VFS/vol$i
+	log_must zfs create -V $org_size $VFS/vol$i
 done
 
 for type in " " mirror raidz raidz2; do
-	log_must $ZPOOL create $TESTPOOL1 $type /dev/zvol/dsk/$VFS/vol1 \
+	log_must zpool create $TESTPOOL1 $type /dev/zvol/dsk/$VFS/vol1 \
 	    /dev/zvol/dsk/$VFS/vol2 /dev/zvol/dsk/$VFS/vol3
 
 	typeset autoexp=$(get_pool_prop autoexpand $TESTPOOL1)
@@ -81,24 +81,24 @@
 		    "$autoexp"
 	fi
 	typeset prev_size=$(get_pool_prop size $TESTPOOL1)
-	typeset zfs_prev_size=$($ZFS get -p avail $TESTPOOL1 | $TAIL -1 | \
-	    $AWK '{print $3}')
+	typeset zfs_prev_size=$(zfs get -p avail $TESTPOOL1 | tail -1 | \
+	    awk '{print $3}')
 
 	for i in 1 2 3; do
-		log_must $ZFS set volsize=$exp_size $VFS/vol$i
+		log_must zfs set volsize=$exp_size $VFS/vol$i
 	done
 
 	for i in 1 2 3; do
-		log_must $ZPOOL online -e $TESTPOOL1 /dev/zvol/dsk/$VFS/vol$i
+		log_must zpool online -e $TESTPOOL1 /dev/zvol/dsk/$VFS/vol$i
 	done
 
-	$SYNC
-	$SLEEP 10
-	$SYNC
+	sync
+	sleep 10
+	sync
 
 	typeset expand_size=$(get_pool_prop size $TESTPOOL1)
-	typeset zfs_expand_size=$($ZFS get -p avail $TESTPOOL1 | $TAIL -1 | \
-	    $AWK '{print $3}')
+	typeset zfs_expand_size=$(zfs get -p avail $TESTPOOL1 | tail -1 | \
+	    awk '{print $3}')
 	log_note "$TESTPOOL1 $type has previous size: $prev_size and " \
 	    "expanded size: $expand_size"
 
@@ -106,10 +106,10 @@
 	if [[ $zfs_expand_size -gt $zfs_prev_size ]]; then
 	# check for zpool history for the pool size expansion
 		if [[ $type == " " ]]; then
-			typeset	size_addition=$($ZPOOL history -il $TESTPOOL1 \
-			    | $GREP "pool '$TESTPOOL1' size:" | \
-			    $GREP "vdev online" | \
-			    $GREP "(+${EX_1GB}" | wc -l)
+			typeset	size_addition=$(zpool history -il $TESTPOOL1 \
+			    | grep "pool '$TESTPOOL1' size:" | \
+			    grep "vdev online" | \
+			    grep "(+${EX_1GB}" | wc -l)
 
 			if [[ $size_addition -ne $i ]]; then
 				log_fail "pool $TESTPOOL1 is not autoexpand " \
@@ -116,10 +116,10 @@
 				    "after LUN expansion"
 			fi
 		elif [[ $type == "mirror" ]]; then
-			$ZPOOL history -il $TESTPOOL1 | \
-			    $GREP "pool '$TESTPOOL1' size:" | \
-			    $GREP "vdev online" | \
-			    $GREP "(+${EX_1GB})" >/dev/null 2>&1
+			zpool history -il $TESTPOOL1 | \
+			    grep "pool '$TESTPOOL1' size:" | \
+			    grep "vdev online" | \
+			    grep "(+${EX_1GB})" >/dev/null 2>&1
 
 			if [[ $? -ne 0 ]]; then
 				log_fail "pool $TESTPOOL1 is not autoexpand " \
@@ -126,10 +126,10 @@
 				    "after LUN expansion"
 			fi
 		else
-			$ZPOOL history -il $TESTPOOL1 | \
-			    $GREP "pool '$TESTPOOL1' size:" | \
-			    $GREP "vdev online" | \
-			    $GREP "(+${EX_3GB})" >/dev/null 2>&1
+			zpool history -il $TESTPOOL1 | \
+			    grep "pool '$TESTPOOL1' size:" | \
+			    grep "vdev online" | \
+			    grep "(+${EX_3GB})" >/dev/null 2>&1
 
 			if [[ $? -ne 0 ]] ; then
 				log_fail "pool $TESTPOOL1 is not autoexpand " \
@@ -140,9 +140,9 @@
 		log_fail "pool $TESTPOOL1 is not autoexpanded after LUN " \
 		    "expansion"
 	fi
-	log_must $ZPOOL destroy $TESTPOOL1
+	log_must zpool destroy $TESTPOOL1
 	for i in 1 2 3; do
-		log_must $ZFS set volsize=$org_size $VFS/vol$i
+		log_must zfs set volsize=$org_size $VFS/vol$i
 	done
 done
 log_pass "zpool can expand after zpool online -e zvol vdevs on LUN expansion"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_expand/zpool_expand_003_neg.ksh	Wed Aug 31 16:20:56 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_expand/zpool_expand_003_neg.ksh	Wed Aug 31 16:20:56 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -51,12 +51,12 @@
 function cleanup
 {
         if poolexists $TESTPOOL1; then
-                log_must $ZPOOL destroy $TESTPOOL1
+                log_must zpool destroy $TESTPOOL1
         fi
 
 	for i in 1 2 3; do
 		if datasetexists $VFS/vol$i; then
-			log_must $ZFS destroy $VFS/vol$i
+			log_must zfs destroy $VFS/vol$i
 		fi
 	done
 }
@@ -66,11 +66,11 @@
 log_assert "zpool can not expand if set autoexpand=off after LUN expansion"
 
 for i  in 1 2 3; do
-	log_must $ZFS create -V $org_size $VFS/vol$i
+	log_must zfs create -V $org_size $VFS/vol$i
 done
 
 for type in " " mirror raidz raidz2; do
-	log_must $ZPOOL create $TESTPOOL1 $type /dev/zvol/dsk/$VFS/vol1 \
+	log_must zpool create $TESTPOOL1 $type /dev/zvol/dsk/$VFS/vol1 \
 	    /dev/zvol/dsk/$VFS/vol2 /dev/zvol/dsk/$VFS/vol3
 
 	typeset autoexp=$(get_pool_prop autoexpand $TESTPOOL1)
@@ -82,16 +82,16 @@
 	typeset prev_size=$(get_pool_prop size $TESTPOOL1)
 
 	for i in 1 2 3; do
-		log_must $ZFS set volsize=$exp_size $VFS/vol$i
+		log_must zfs set volsize=$exp_size $VFS/vol$i
 	done
 
-	$SYNC
-	$SLEEP 10
-	$SYNC
+	sync
+	sleep 10
+	sync
 
 	# check for zpool history for the pool size expansion
-	$ZPOOL history -il $TESTPOOL1 | $GREP "pool '$TESTPOOL1' size:" | \
-	    $GREP "vdev online" >/dev/null 2>&1
+	zpool history -il $TESTPOOL1 | grep "pool '$TESTPOOL1' size:" | \
+	    grep "vdev online" >/dev/null 2>&1
 
 	if [[ $? -eq 0 ]]; then
 		log_fail "pool $TESTPOOL1 is not autoexpand after LUN " \
@@ -104,10 +104,10 @@
 		log_fail "pool $TESTPOOL1 size changed after LUN expansion"
 	fi
 
-	log_must $ZPOOL destroy $TESTPOOL1
+	log_must zpool destroy $TESTPOOL1
 
 	for i in 1 2 3; do
-		log_must $ZFS set volsize=$org_size $VFS/vol$i
+		log_must zfs set volsize=$org_size $VFS/vol$i
 	done
 
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_export/zpool_export_001_pos.ksh	Wed Aug 31 16:20:56 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_export/zpool_export_001_pos.ksh	Wed Aug 31 16:20:56 2016
@@ -24,6 +24,11 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -45,11 +50,11 @@
 	typeset dir=$(get_device_dir $DISKS)
 
 	datasetexists "$TESTPOOL/$TESTFS" || \
-		log_must $ZPOOL import -d $dir $TESTPOOL
+		log_must zpool import -d $dir $TESTPOOL
 
 	ismounted "$TESTPOOL/$TESTFS"
 	(( $? != 0 )) && \
-	    log_must $ZFS mount $TESTPOOL/$TESTFS
+	    log_must zfs mount $TESTPOOL/$TESTFS
 }
 
 log_onexit cleanup
@@ -56,8 +61,8 @@
 
 log_assert "Verify a pool can be exported."
 
-log_must $ZFS umount $TESTDIR
-log_must $ZPOOL export $TESTPOOL
+log_must zfs umount $TESTDIR
+log_must zpool export $TESTPOOL
 
 poolexists $TESTPOOL && \
         log_fail "$TESTPOOL unexpectedly found in 'zpool list' output."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_export/zpool_export_002_pos.ksh	Wed Aug 31 16:20:56 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_export/zpool_export_002_pos.ksh	Wed Aug 31 16:20:56 2016
@@ -24,6 +24,11 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -45,14 +50,14 @@
 	    log_fail "Couldn't cd back to $olddir"
 
 	datasetexists "$TESTPOOL/$TESTFS" || \
-	    log_must $ZPOOL import -d $dir $TESTPOOL
+	    log_must zpool import -d $dir $TESTPOOL
 
 	ismounted "$TESTPOOL/$TESTFS"
 	(( $? != 0 )) && \
-	    log_must $ZFS mount $TESTPOOL/$TESTFS
+	    log_must zfs mount $TESTPOOL/$TESTFS
 
 	[[ -e $TESTDIR/$TESTFILE0 ]] && \
-	    log_must $RM -rf $TESTDIR/$TESTFILE0
+	    log_must rm -rf $TESTDIR/$TESTFILE0
 }
 
 olddir=$PWD
@@ -68,7 +73,7 @@
 cd $TESTDIR || \
     log_fail "Couldn't cd to $TESTDIR"
 
-log_mustnot $ZPOOL export $TESTPOOL
+log_mustnot zpool export $TESTPOOL
 
 poolexists $TESTPOOL || \
 	log_fail "$TESTPOOL not found in 'zpool list' output."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_export/zpool_export_003_neg.ksh	Wed Aug 31 16:20:56 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_export/zpool_export_003_neg.ksh	Wed Aug 31 16:20:56 2016
@@ -24,6 +24,11 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -42,11 +47,11 @@
 {
 	typeset dir=$(get_device_dir $DISKS)
 	datasetexists "$TESTPOOL/$TESTFS" || \
-		log_must $ZPOOL import -d $dir $TESTPOOL
+		log_must zpool import -d $dir $TESTPOOL
 
 	ismounted "$TESTPOOL/$TESTFS"
 	(( $? != 0 )) && \
-	    log_must $ZFS mount $TESTPOOL/$TESTFS
+	    log_must zfs mount $TESTPOOL/$TESTFS
 }
 
 log_onexit cleanup
@@ -57,7 +62,7 @@
 
 typeset -i i=0
 while (( $i < ${#args[*]} )); do
-	log_mustnot $ZPOOL export ${args[i]}
+	log_mustnot zpool export ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_export/zpool_export_004_pos.ksh	Wed Aug 31 16:20:56 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_export/zpool_export_004_pos.ksh	Wed Aug 31 16:20:56 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -53,13 +53,13 @@
 function cleanup
 {
 	mntpnt=$(get_prop mountpoint $TESTPOOL)
-        datasetexists $TESTPOOL1 || log_must $ZPOOL import -d $mntpnt $TESTPOOL1
+        datasetexists $TESTPOOL1 || log_must zpool import -d $mntpnt $TESTPOOL1
 	datasetexists $TESTPOOL1 && destroy_pool $TESTPOOL1
 	datasetexists $TESTPOOL2 && destroy_pool $TESTPOOL2
 	typeset -i i=0
 	while ((i < 5)); do
 		if [[ -e $mntpnt/vdev$i ]]; then
-			log_must $RM -f $mntpnt/vdev$i
+			log_must rm -f $mntpnt/vdev$i
 		fi
 		((i += 1))
 	done
@@ -73,27 +73,27 @@
 
 typeset -i i=0
 while ((i < 5)); do
-	log_must $MKFILE $MINVDEVSIZE $mntpnt/vdev$i
+	log_must mkfile $MINVDEVSIZE $mntpnt/vdev$i
 	eval vdev$i=$mntpnt/vdev$i
 	((i += 1))
 done
 
-log_must $ZPOOL create $TESTPOOL1 mirror $vdev0 $vdev1 spare $vdev4
-log_must $ZPOOL create $TESTPOOL2 mirror $vdev2 $vdev3 spare $vdev4
+log_must zpool create $TESTPOOL1 mirror $vdev0 $vdev1 spare $vdev4
+log_must zpool create $TESTPOOL2 mirror $vdev2 $vdev3 spare $vdev4
 
-log_must $ZPOOL export $TESTPOOL1
-log_must $ZPOOL import -d $mntpnt $TESTPOOL1
+log_must zpool export $TESTPOOL1
+log_must zpool import -d $mntpnt $TESTPOOL1
 
-log_must $ZPOOL replace $TESTPOOL1 $vdev0 $vdev4
-log_must $ZPOOL detach $TESTPOOL1 $vdev4
-log_must $ZPOOL export $TESTPOOL1
-log_must $ZPOOL import -d $mntpnt $TESTPOOL1
+log_must zpool replace $TESTPOOL1 $vdev0 $vdev4
+log_must zpool detach $TESTPOOL1 $vdev4
+log_must zpool export $TESTPOOL1
+log_must zpool import -d $mntpnt $TESTPOOL1
 
-log_must $ZPOOL replace $TESTPOOL1 $vdev0 $vdev4
-log_mustnot $ZPOOL export $TESTPOOL1
+log_must zpool replace $TESTPOOL1 $vdev0 $vdev4
+log_mustnot zpool export $TESTPOOL1
 
-log_must $ZPOOL export -f $TESTPOOL1
-log_must $ZPOOL import -d $mntpnt  $TESTPOOL1
+log_must zpool export -f $TESTPOOL1
+log_must zpool import -d $mntpnt  $TESTPOOL1
 
 log_pass "Verify zpool export succeed or fail with spare."
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_get/zpool_get_001_pos.ksh	Wed Aug 31 16:20:56 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_get/zpool_get_001_pos.ksh	Wed Aug 31 16:20:56 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -40,7 +44,7 @@
 
 log_assert "Zpool get usage message is displayed when called with no arguments."
 
-$ZPOOL get > /dev/null 2>&1
+zpool get > /dev/null 2>&1
 RET=$?
 if [ $RET != 2 ]
 then
@@ -47,7 +51,7 @@
 	log_fail "\"zpool get\" exit status $RET should be equal to 2."
 fi
 
-OUTPUT=$($ZPOOL get 2>&1 | $GREP -i usage)
+OUTPUT=$(zpool get 2>&1 | grep -i usage)
 RET=$?
 if [ $RET != 0 ]
 then
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_get/zpool_get_002_pos.ksh	Wed Aug 31 16:20:57 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_get/zpool_get_002_pos.ksh	Wed Aug 31 16:20:57 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -56,11 +56,11 @@
 	TESTPOOL=${TESTPOOL%%/*}
 fi
 
-log_must $ZPOOL get all $TESTPOOL
-$ZPOOL get all $TESTPOOL > /tmp/values.$$
+log_must zpool get all $TESTPOOL
+zpool get all $TESTPOOL > /tmp/values.$$
 
 log_note "Checking zpool get all output for a header."
-$GREP ^"NAME " /tmp/values.$$ > /dev/null 2>&1
+grep ^"NAME " /tmp/values.$$ > /dev/null 2>&1
 if [ $? -ne 0 ]
 then
 	log_fail "The header was not printed from zpool get all"
@@ -70,7 +70,7 @@
 while [ $i -lt "${#properties[@]}" ]
 do
 	log_note "Checking for ${properties[$i]} property"
-	$GREP "$TESTPOOL *${properties[$i]}" /tmp/values.$$ > /dev/null 2>&1
+	grep "$TESTPOOL *${properties[$i]}" /tmp/values.$$ > /dev/null 2>&1
 	if [ $? -ne 0 ]
 	then
 		log_fail "zpool property ${properties[$i]} was not found\
@@ -82,7 +82,7 @@
 # increment the counter to include the header line
 i=$(( $i + 1 ))
 
-COUNT=$($WC /tmp/values.$$ | $AWK '{print $1}')
+COUNT=$(wc /tmp/values.$$ | awk '{print $1}')
 if [ $i -ne $COUNT ]
 then
 	log_fail "Found zpool features not in the zpool_get test config."
@@ -90,5 +90,5 @@
 
 
 
-$RM /tmp/values.$$
+rm /tmp/values.$$
 log_pass "Zpool get all works as expected"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_get/zpool_get_003_pos.ksh	Wed Aug 31 16:20:57 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_get/zpool_get_003_pos.ksh	Wed Aug 31 16:20:57 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zpool_get/zpool_get.cfg
 
@@ -48,13 +52,13 @@
 while [ $i -lt "${#properties[@]}" ]
 do
 	log_note "Checking for ${properties[$i]} property"
-	log_must eval "$ZPOOL get ${properties[$i]} $TESTPOOL > /tmp/value.$$"
-	$GREP "${properties[$i]}" /tmp/value.$$ > /dev/null 2>&1
+	log_must eval "zpool get ${properties[$i]} $TESTPOOL > /tmp/value.$$"
+	grep "${properties[$i]}" /tmp/value.$$ > /dev/null 2>&1
 	if [ $? -ne 0 ]
 	then
 		log_fail "${properties[$i]} not seen in output"
 	fi
-	$GREP "^NAME " /tmp/value.$$ > /dev/null 2>&1
+	grep "^NAME " /tmp/value.$$ > /dev/null 2>&1
 	# only need to check this once.
 	if [ $i -eq 0 ] && [ $? -ne 0 ]
 	then
@@ -63,5 +67,5 @@
 	i=$(( $i + 1 ))
 done
 
-$RM /tmp/value.$$
+rm /tmp/value.$$
 log_pass "Zpool get returns values for all known properties"
